package com.ruoyi.bid.mapper;

import java.util.List;
import com.ruoyi.bid.domain.BidCompany;

/**
 * 公司信息Mapper接口
 * 
 * @author ruoyi
 * @date 2025-12-10
 */
public interface BidCompanyMapper 
{
    /**
     * 查询公司信息
     * 
     * @param id 公司信息主键
     * @return 公司信息
     */
    public BidCompany selectBidCompanyById(Long id);

    /**
     * 查询公司信息列表
     * 
     * @param bidCompany 公司信息
     * @return 公司信息集合
     */
    public List<BidCompany> selectBidCompanyList(BidCompany bidCompany);

    /**
     * 新增公司信息
     * 
     * @param bidCompany 公司信息
     * @return 结果
     */
    public int insertBidCompany(BidCompany bidCompany);

    /**
     * 修改公司信息
     * 
     * @param bidCompany 公司信息
     * @return 结果
     */
    public int updateBidCompany(BidCompany bidCompany);

    /**
     * 删除公司信息
     * 
     * @param id 公司信息主键
     * @return 结果
     */
    public int deleteBidCompanyById(Long id);

    /**
     * 批量删除公司信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBidCompanyByIds(Long[] ids);
}
